/* eslint-disable comma-dangle */
const babel = require('@babel/register/lib/node');
const path = require('path');

babel.default({
  presets: [
    ['./tools/babel-preset', {
      modules: 'commonjs',
    }],
  ],
  babelrc: false,
  only: [
    path.resolve(__dirname, 'src/**'),
    path.resolve(__dirname, 'stories/**'),
    path.resolve(__dirname, 'mock/**'),
  ]
});

// require('@babel/runtime');

module.exports = {
  unregister() {
    babel.default({
      extensions: [],
    });
  },
};

